/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import "~@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "~@ionic/angular/css/normalize.css";
@import "~@ionic/angular/css/structure.css";
@import "~@ionic/angular/css/typography.css";
@import '~@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */
@import "~@ionic/angular/css/padding.css";
@import "~@ionic/angular/css/float-elements.css";
@import "~@ionic/angular/css/text-alignment.css";
@import "~@ionic/angular/css/text-transformation.css";
@import "~@ionic/angular/css/flex-utils.css";
@import './theme/fonts.scss';
@import './theme/variables.scss';

.animated {
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
}

@-webkit-keyframes fadeInUp {
  from {
    opacity: 0;
    -webkit-transform: translate3d(0, 100%, 0);
    transform: translate3d(0, 100%, 0);
  }

  to {
    opacity: 1;
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
}

@keyframes fadeInUp {
  from {
    opacity: 0;
    -webkit-transform: translate3d(0, 100%, 0);
    transform: translate3d(0, 100%, 0);
  }

  to {
    opacity: 1;
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
}

.fadeInUp {
  -webkit-animation-name: fadeInUp;
  animation-name: fadeInUp;
}

.font-primary {
  color: green;
  text-align: center;
  position: absolute;
  bottom: 0;
  font-family: 'Roboto, sans-serif';
}

.font-primary:active {
  color: white;
  background-color: #A5D552;
  border: 2px solid #A5D552 !important;
}

.nunito {
  font-family: 'Nunito', sans-serif;
  color: #A5D552;
}

.colorBlaze {
  color: #6C7F81;
}

.buttonBlazeGreen {
  padding: 30px;
  color: #A5D552;

  border: 2px solid #A5D552;
  border-radius: 50px;

}

.inputMassive {
  border: 2px solid #A5D552;
}

.buttonBlazeGreen:hover {
  background: #417B00;
  color: white;
}

.bg-green-primary {
  background-color: #A5D552;
  border: 5px #A5D552;
  padding: 10px;
  border-radius: 30px;
  width: 100%;
  margin-bottom: 20px;
  font-family: 'Roboto';
  color: #417B00;
  font-size: 14px;


}

.bg-green-primary:active {
  background-color: #417B00 !important;
  color: #F8FFF1 !important;
  border: 1px solid #417B00 !important;
}

.headShake {
  -webkit-animation-timing-function: ease-in-out;
  animation-timing-function: ease-in-out;
  -webkit-animation-name: headShake;
  animation-name: headShake;
}

.rubberBand {
  -webkit-animation-name: rubberBand;
  animation-name: rubberBand;
}

.toggle-password {
  position: absolute;
  right: 20px;
  top: 50%;
  height: 20px;
  width: 20px;
  transform: translate(0%, -50%);
  z-index: 111;

  &.icon-eye {
    background-size: cover;
  }

  &.icon-eye-off {
    background-size: cover;
  }
}

.icon-eye-2 {
  background-size: cover;
  color: #A5D552;
}

.icon-eye-off-2 {
  background-size: cover;
  background-color: #A5D552;
}

.roboto {
  font-family: 'Roboto', sans-serif;
}

.roboto-family {
  font-family: 'Roboto';
  color: white;

  font-size: 5px;
}

p {
  font-family: 'Roboto', sans-serif;
  color: #264E53;

}

@-webkit-keyframes twistOutRight {

  0% {
    opacity: 1;
    transform: translateY(0px) rotate(0deg) scale(1);
  }

  50% {
    opacity: 1;
    transform: translateY(0px) rotate(-360deg) scale(1);
  }

  100% {
    opacity: 0;
    transform-origin: 50% 50%;
    transform: scale(1) translateX(300%);
  }

}

@keyframes twistOutRight {

  0% {
    opacity: 1;
    transform: translateY(0px) rotate(0deg) scale(1);
  }

  50% {
    opacity: 1;
    transform: translateY(0px) rotate(-360deg) scale(1);
  }

  100% {
    opacity: 0;
    transform-origin: 50% 50%;
    transform: scale(1) translateX(300%);
  }

}

.twistOutRight {
  -webkit-animation-name: twistOutRight;
  animation-name: twistOutRight;
}

@-webkit-keyframes twistOutLeft {

  0% {
    opacity: 1;
    transform: translateY(0px) rotate(0deg) scale(1);
  }

  50% {
    opacity: 1;
    transform: translateY(0px) rotate(360deg) scale(1);
  }

  100% {
    opacity: 0;
    transform-origin: 50% 50%;
    transform: scale(1) translateX(-300%);
  }

}

@keyframes twistOutLeft {

  0% {
    opacity: 1;
    transform: translateY(0px) rotate(0deg) scale(1);
  }

  50% {
    opacity: 1;
    transform: translateY(0px) rotate(360deg) scale(1);
  }

  100% {
    opacity: 0;
    transform-origin: 50% 50%;
    transform: scale(1) translateX(-300%);
  }

}

.twistOutLeft {
  -webkit-animation-name: twistOutLeft;
  animation-name: twistOutLeft;
}


@-webkit-keyframes twistOutUp {

  0% {
    opacity: 1;
    transform: translateY(0px) rotate(0deg) scale(1);
  }

  50% {
    opacity: 1;
    transform: translateY(0px) rotate(360deg) scale(1);
  }

  100% {
    opacity: 0;
    transform-origin: 50% 50%;
    transform: scale(1) translateY(-300%);
  }

}

@keyframes twistOutUp {

  0% {
    opacity: 1;
    transform: translateY(0px) rotate(0deg) scale(1);
  }

  50% {
    opacity: 1;
    transform: translateY(0px) rotate(360deg) scale(1);
  }

  100% {
    opacity: 0;
    transform-origin: 50% 50%;
    transform: scale(1) translateY(-300%);
  }

}

.twistOutUp {
  -webkit-animation-name: twistOutUp;
  animation-name: twistOutUp;
}

@-webkit-keyframes twistOutDown {

  0% {
    opacity: 1;
    transform: translateY(0px) rotate(0deg) scale(1);
  }

  50% {
    opacity: 1;
    transform: translateY(0px) rotate(-360deg) scale(1);
  }

  100% {
    opacity: 0;
    transform-origin: 50% 50%;
    transform: scale(1) translateY(300%);
  }

}

@keyframes twistOutDown {

  0% {
    opacity: 1;
    transform: translateY(0px) rotate(0deg) scale(1);
  }

  50% {
    opacity: 1;
    transform: translateY(0px) rotate(-360deg) scale(1);
  }

  100% {
    opacity: 0;
    transform-origin: 50% 50%;
    transform: scale(1) translateY(300%);
  }

}

.twistOutDown {
  -webkit-animation-name: twistOutDown;
  animation-name: twistOutDown;
}

@-webkit-keyframes twistInDown {

  0% {
    opacity: 0;
    transform-origin: 50% 50%;
    transform: scale(1) translateY(300%);
  }

  50% {
    opacity: 1;
    transform: translateY(0px) rotate(360deg) scale(1);
  }

  100% {
    opacity: 1;
    transform: translateY(0px) rotate(0deg) scale(1);
  }

}

@keyframes twistInDown {

  0% {
    opacity: 0;
    transform-origin: 50% 50%;
    transform: scale(1) translateY(300%);
  }

  50% {
    opacity: 1;
    transform: translateY(0px) rotate(360deg) scale(1);
  }

  100% {
    opacity: 1;
    transform: translateY(0px) rotate(0deg) scale(1);
  }

}

.twistInDown {
  -webkit-animation-name: twistInDown;
  animation-name: twistInDown;
}

@-webkit-keyframes twistInUp {

  0% {
    opacity: 0;
    transform-origin: 50% 50%;
    transform: scale(1) translateY(-300%);
  }

  50% {
    opacity: 1;
    transform: translateY(0px) rotate(-360deg) scale(1);
  }

  100% {
    opacity: 1;
    transform: translateY(0px) rotate(0deg) scale(1);
  }

}

@keyframes twistInUp {

  0% {
    opacity: 0;
    transform-origin: 50% 50%;
    transform: scale(1) translateY(-300%);
  }

  50% {
    opacity: 1;
    transform: translateY(0px) rotate(-360deg) scale(1);
  }

  100% {
    opacity: 1;
    transform: translateY(0px) rotate(0deg) scale(1);
  }

}

.twistInUp {
  -webkit-animation-name: twistInUp;
  animation-name: twistInUp;
}


@-webkit-keyframes twistInLeft {

  0% {
    opacity: 0;
    transform-origin: 50% 50%;
    transform: scale(1) translateX(-100%);
  }

  50% {
    opacity: 1;
    transform: translateY(0px) rotate(-360deg) scale(1);
  }

  100% {
    opacity: 1;
    transform: translateY(0px) rotate(0deg) scale(1);
  }

}

@keyframes twistInLeft {

  0% {
    opacity: 0;
    transform-origin: 50% 50%;
    transform: scale(1) translateX(-100%);
  }

  50% {
    opacity: 1;
    transform: translateY(0px) rotate(-360deg) scale(1);
  }

  100% {
    opacity: 1;
    transform: translateY(0px) rotate(0deg) scale(1);
  }

}

.twistInLeft {
  -webkit-animation-name: twistInLeft;
  animation-name: twistInLeft;
}

@-webkit-keyframes twistInRight {

  0% {
    opacity: 0;
    transform-origin: 50% 50%;
    transform: scale(1) translateX(100%);
  }

  50% {
    opacity: 1;
    transform: translateY(0px) rotate(360deg) scale(1);
  }

  100% {
    opacity: 1;
    transform: translateY(0px) rotate(0deg) scale(1);
  }

}

@keyframes twistInRight {

  0% {
    opacity: 0;
    transform-origin: 50% 50%;
    transform: scale(1) translateX(100%);
  }

  50% {
    opacity: 1;
    transform: translateY(0px) rotate(360deg) scale(1);
  }

  100% {
    opacity: 1;
    transform: translateY(0px) rotate(0deg) scale(1);
  }

}

.twistInRight {
  -webkit-animation-name: twistInRight;
  animation-name: twistInRight;
}

@keyframes backInDown {
  0% {
    transform: translateY(-1200px) scale(.7);
    opacity: .7;
  }

  80% {
    transform: translateY(0px) scale(.7);
    opacity: .7;
  }

  100% {
    transform: scale(1);
    opacity: 1;
  }
}

.backInDown {
  -webkit-animation: backInDown 1.5s;
  animation: backInDown 1.5s;
  -webkit-animation-timing-function: ease-out;
  animation-timing-function: ease-out;
}

@-webkit-keyframes backInRight {
  0% {
    transform: translateX(2000px) scale(.7);
    opacity: .7;
  }

  80% {
    transform: translateX(0px) scale(.7);
    opacity: .7;
  }

  100% {
    transform: scale(1);
    opacity: 1;
  }
}

@keyframes backInRight {
  0% {
    transform: translateX(2000px) scale(.7);
    opacity: .7;
  }

  80% {
    transform: translateX(0px) scale(.7);
    opacity: .7;
  }

  100% {
    transform: scale(1);
    opacity: 1;
  }
}

.backInRight {
  -webkit-animation: backInRight 1.5s;
  animation: backInRight 1.5s;
  -webkit-animation-timing-function: ease-out;
  animation-timing-function: ease-out;
}

@-webkit-keyframes backInLeft {
  0% {
    transform: translateX(-2000px) scale(.7);
    opacity: .7;
  }

  80% {
    transform: translateX(0px) scale(.7);
    opacity: .7;
  }

  100% {
    transform: scale(1);
    opacity: 1;
  }
}

@keyframes backInLeft {
  0% {
    transform: translateX(-2000px) scale(.7);
    opacity: .7;
  }

  80% {
    transform: translateX(0px) scale(.7);
    opacity: .7;
  }

  100% {
    transform: scale(1);
    opacity: 1;
  }
}

.backInLeft {
  -webkit-animation: backInLeft 1.5s;
  animation: backInLeft 1.5s;
  -webkit-animation-timing-function: ease-out;
  animation-timing-function: ease-out;
}

@-webkit-keyframes backInUp {
  0% {
    transform: translateY(1200px) scale(.7);
    opacity: .7;
  }

  80% {
    transform: translateY(0px) scale(.7);
    opacity: .7;
  }

  100% {
    transform: scale(1);
    opacity: 1;
  }
}

@keyframes backInUp {
  0% {
    transform: translateY(1200px) scale(.7);
    opacity: .7;
  }

  80% {
    transform: translateY(0px) scale(.7);
    opacity: .7;
  }

  100% {
    transform: scale(1);
    opacity: 1;
  }
}

.backInUp {
  -webkit-animation: backInUp 1.5s;
  animation: backInUp 1.5s;
  -webkit-animation-timing-function: ease-out;
  animation-timing-function: ease-out;
}

@-webkit-keyframes backOutDown {
  0% {
    transform: scale(1);
    opacity: 1;
  }

  20% {
    transform: translateY(0px) scale(.7);
    opacity: .7;
  }

  100% {
    transform: translateY(700px) scale(.7);
    opacity: .7;
  }
}

@keyframes backOutDown {
  0% {
    transform: scale(1);
    opacity: 1;
  }

  20% {
    transform: translateY(0px) scale(.7);
    opacity: .7;
  }

  100% {
    transform: translateY(700px) scale(.7);
    opacity: .7;
  }
}

.backOutDown {
  -webkit-animation: backOutDown 1.5s;
  animation: backOutDown 1.5s;
  -webkit-animation-timing-function: ease-out;
  animation-timing-function: ease-out;
}

@-webkit-keyframes backOutLeft {
  0% {
    transform: scale(1);
    opacity: 1;
  }

  20% {
    transform: translateX(0px) scale(.7);
    opacity: .7;
  }

  100% {
    transform: translateX(-2000px) scale(.7);
    opacity: .7;
  }
}

@keyframes backOutLeft {
  0% {
    transform: scale(1);
    opacity: 1;
  }

  20% {
    transform: translateX(0px) scale(.7);
    opacity: .7;
  }

  100% {
    transform: translateX(-2000px) scale(.7);
    opacity: .7;
  }
}

.backOutLeft {
  -webkit-animation: backOutLeft 1.5s;
  animation: backOutLeft 1.5s;
  -webkit-animation-timing-function: ease-out;
  animation-timing-function: ease-out;
}

@-webkit-keyframes backOutRight {
  0% {
    transform: scale(1);
    opacity: 1;
  }

  20% {
    transform: translateX(0px) scale(.7);
    opacity: .7;
  }

  100% {
    transform: translateX(2000px) scale(.7);
    opacity: .7;
  }
}

@keyframes backOutRight {
  0% {
    transform: scale(1);
    opacity: 1;
  }

  20% {
    transform: translateX(0px) scale(.7);
    opacity: .7;
  }

  100% {
    transform: translateX(2000px) scale(.7);
    opacity: .7;
  }
}

.backOutRight {
  -webkit-animation: backOutRight 1.5s;
  animation: backOutRight 1.5s;
  -webkit-animation-timing-function: ease-out;
  animation-timing-function: ease-out;
}

@-webkit-keyframes backOutUp {
  0% {
    transform: scale(1);
    opacity: 1;
  }

  20% {
    transform: translateY(0px) scale(.7);
    opacity: .7;
  }

  100% {
    transform: translateY(-700px) scale(.7);
    opacity: .7;
  }
}

@keyframes backOutUp {
  0% {
    transform: scale(1);
    opacity: 1;
  }

  20% {
    transform: translateY(0px) scale(.7);
    opacity: .7;
  }

  100% {
    transform: translateY(-700px) scale(.7);
    opacity: .7;
  }
}

.backOutUp {
  -webkit-animation: backOutUp 1.5s;
  animation: backOutUp 1.5s;
  -webkit-animation-timing-function: ease-out;
  animation-timing-function: ease-out;
}

/*-----------------------------------*\
  $RESET
\*-----------------------------------*/



/*-----------------------------------*\
  $LAYOUT
\*-----------------------------------*/


/*-----------------------------------*\
  $BASE
\*-----------------------------------*/


.etiqueta {
  width: 30px;
  height: 26px;
  position: absolute;
  z-index: 9;
  background-color: HotPink;
  color: white;
  font-size: 12px;
  text-align: center;
  padding-top: 7px;
  top: -45px;
}

.etiqueta:after {
  content: '';
  display: block;
  width: 10px;
  height: 10px;
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
  z-index: 8;
  background-color: HotPink;
  position: relative;
  left: 9px;
}
.banka{
    background-color:#dc3545;
    height:300px;
    border-top:none;
    margin-bottom: 50px;
    border-end-end-radius: 80px;
    border-end-start-radius: 80px;
  }
.my-custom-modal {
  --border-radius: 10px 10px 0px 0px;
  .modal-wrapper {
    position: absolute;
    width: "100%" !important;
    height: "25%" !important;
    top: calc(100% - (25%));
  }
}
.carder{
    width: 80%;
    height:auto;
    padding:10px;
    margin:auto;
    margin-top:1px;
    text-align: center;
    border-radius: 10%;
  }